- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QNetworkProxyQuery Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qnetworkproxy.h.

`#include <qnetworkproxy.h>`

List of all members.

## Public Types
enum | QueryType { TcpSocket, UdpSocket, TcpServer = 100, UrlRequest }
## Public Member Functions
| QNetworkProxyQuery ()
| QNetworkProxyQuery (const QUrl &requestUrl, QueryType queryType=UrlRequest)
| QNetworkProxyQuery (const QString &hostname, int port, const QString &protocolTag=QString(), QueryType queryType=TcpSocket)
| QNetworkProxyQuery (quint16 bindPort, const QString &protocolTag=QString(), QueryType queryType=TcpServer)
| QNetworkProxyQuery (const QNetworkProxyQuery &other)
| ~QNetworkProxyQuery ()
QNetworkProxyQuery & | operator= (const QNetworkProxyQuery &other)
bool | operator== (const QNetworkProxyQuery &other) const
bool | operator!= (const QNetworkProxyQuery &other) const
QueryType | queryType () const
void | setQueryType (QueryType type)
int | peerPort () const
void | setPeerPort (int port)
QString | peerHostName () const
void | setPeerHostName (const QString &hostname)
int | localPort () const
void | setLocalPort (int port)
QString | protocolTag () const
void | setProtocolTag (const QString &protocolTag)
QUrl | url () const
void | setUrl (const QUrl &url)

## Member Enumeration Documentation

enum QueryType

Search for all occurrences

Enumerator:

  TcpSocket | Search for all occurrences
  UdpSocket | Search for all occurrences
  TcpServer | Search for all occurrences
  UrlRequest | Search for all occurrences

Definition at line 62 of file qnetworkproxy.h.

                       {
            TcpSocket,
            UdpSocket,
            TcpServer = 100,
            UrlRequest
        };

## Constructor & Destructor Documentation

QNetworkProxyQuery | ( |  | ) |

QNetworkProxyQuery | ( | const QUrl & | requestUrl,
|  | QueryType | queryType = `UrlRequest`
| ) |  |

QNetworkProxyQuery | ( | const QString & | hostname,
|  | int | port,
|  | const QString & | protocolTag = `QString()`,
|  | QueryType | queryType = `TcpSocket`
| ) |  |

QNetworkProxyQuery | ( | quint16 | bindPort,
|  | const QString & | protocolTag = `QString()`,
|  | QueryType | queryType = `TcpServer`
| ) |  |

QNetworkProxyQuery | ( | const QNetworkProxyQuery & | other | ) |

~QNetworkProxyQuery | ( |  | ) |

## Member Function Documentation

QNetworkProxyQuery& operator= | ( | const QNetworkProxyQuery & | other | ) |

bool operator== | ( | const QNetworkProxyQuery & | other | ) | const

bool operator!= | ( | const QNetworkProxyQuery & | other | ) | const `[inline]`

Definition at line 79 of file qnetworkproxy.h.

        { return !(*this == other); }

QueryType queryType | ( |  | ) | const

Search for all occurrences

void setQueryType | ( | QueryType | type | ) |

Search for all occurrences

int peerPort | ( |  | ) | const

Search for all occurrences

void setPeerPort | ( | int | port | ) |

Search for all occurrences

QString peerHostName | ( |  | ) | const

Search for all occurrences

void setPeerHostName | ( | const QString & | hostname | ) |

Search for all occurrences

int localPort | ( |  | ) | const

Search for all occurrences

void setLocalPort | ( | int | port | ) |

Search for all occurrences

QString protocolTag | ( |  | ) | const

Search for all occurrences

void setProtocolTag | ( | const QString & | protocolTag | ) |

Search for all occurrences

QUrl url | ( |  | ) | const

Search for all occurrences

void setUrl | ( | const QUrl & | url | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkproxy.h

QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery
QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery QNetworkProxyQuery